﻿using System;
using System.Windows.Forms;

using DevExpress.XtraBars;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.barManager.ForceInitialize();

            this.barManager.Images = imageCollection;

            PopupMenu popupMenu = new PopupMenu();

            popupMenu.Manager = barManager;

            BarButtonItem copyBarButtonItem    = new BarButtonItem(this.barManager, "Copy"   , 0);
            BarButtonItem pasteBarButtonItem   = new BarButtonItem(this.barManager, "Paste"  , 1);
            BarButtonItem refreshBarButtonItem = new BarButtonItem(this.barManager, "Refresh", 2);

            popupMenu.AddItems
            (
                new BarItem[]
                {
                    copyBarButtonItem,
                    pasteBarButtonItem,
                    refreshBarButtonItem
                }
            );

            refreshBarButtonItem.Links[0].BeginGroup = true;

            this.barManager.ItemClick += barManager_ItemClick;

            this.barManager.SetPopupContextMenu(this, popupMenu);
        }

        #endregion
        #region 바 관리자 항목 클릭시 처리하기 - barManager_ItemClick(sender, e)

        /// <summary>
        /// 바 관리자 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void barManager_ItemClick(object sender, ItemClickEventArgs e)
        {
            XtraMessageBox.Show
            (
                this,
                e.Item.Caption + " 항목을 클릭했습니다.",
                "INFORMATION",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information
            );
        }

        #endregion
    }
}